Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

Creates a verification workflow

Request

Security
Bearer
Body
verificationRoutineIdsArray of integers or null(int32)

The verification routine IDs to run

firstNamestring or null

The operator's first name

lastNamestring or null

The operator's last name

locationstring or null

The verification location

reasonstring or null

The verification reason

temperaturenumber or null(double)

The current ambient temperature

humiditynumber or null(double)

The current ambient humidity

verificationDevicesArray of objects or null(VerificationDeviceDto)

The list of required device calibration information

curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/verification/workflow' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "verificationRoutineIds": [
      0
    ],
    "firstName": "string",
    "lastName": "string",
    "location": "string",
    "reason": "string",
    "temperature": 0.1,
    "humidity": 0.1,
    "verificationDevices": [
      {
        "deviceType": "ThermoHygrometer",
        "calibrationId": "string",
        "calibrationExpirationDate": "2019-08-24T14:15:22Z",
        "expirationEnabled": true
      }
    ]
  }'

Responses

The workflow was created successfully

Response
No content

Proceed to the next screen step of the run/workflow

Request

Security
Bearer
Body
viewIdstring or null

The id of the view to close

viewResultstring or null

The result for the view

viewInputstring or null

The input of the view

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/verification/next' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "viewId": "5854c6bfedba41cba94560861b0075d8",
    "viewResult": "Ok",
    "viewInput": "ViewInput1;ViewInput2"
  }'

Responses

Verification run/workflow was successfully continued.

Rerun the most recently completed routine run

Request

Security
Bearer
curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/verification/re-run' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Verification re-run was successfully started.

VerificationResult

Operations